Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "push",
"status": "queued",
"stage": "fetching",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"inputs": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "push",
"push": {
"message": "<string>",
"branch": "<string>",
"create_pr": false,
"pr_base_branch": "<string>",
"resources": [
{
"resource_type": "workflow",
"source_id": "<string>",
"local_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"include_schedules": false
},
"pull": {
"commit_sha": "<string>",
"dry_run": false,
"sync_schedules": false,
"catalog_mappings": [
{
"source_catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"mcp_integration_mappings": [
{
"source_mcp_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_mcp_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"secret_store_mappings": [
{
"source_store": "<string>",
"target_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"compare_ref": "<string>"
},
"commit_sha": "<string>",
"error": "<string>",
"preview": {
"resource_counts": {},
"files": [
"<string>"
],
"resources": [
{
"resource_type": "workflow",
"source_id": "<string>",
"name": "<string>",
"path": "<string>"
}
],
"resource_diffs": [
{
"resource_type": "<string>",
"source_id": "<string>",
"source_path": "<string>",
"change_type": "added",
"title": "<string>",
"diff": "<string>",
"truncated": false
}
]
},
"result": {
"commit": {
"status": "committed",
"sha": "<string>",
"ref": "<string>",
"base_ref": "<string>",
"pr_url": "<string>",
"pr_number": 123,
"pr_reused": false,
"message": ""
}
},
"diff_count": 0,
"can_retry": false,
"data_applied": false,
"preview_revision": 0,
"state_revision": 0
}
],
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"detail": "<string>"
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"required_scopes": [
"<string>"
],
"missing_scopes": [
"<string>"
]
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workflows
List Sync Operations
Recover the initiating actor’s operations after a reload or reconnect.
GET
/
workspaces
/
{workspace_id}
/
workflows
/
sync
/
operations
Error
A valid request URL is required to generate request examples{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "push",
"status": "queued",
"stage": "fetching",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"inputs": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "push",
"push": {
"message": "<string>",
"branch": "<string>",
"create_pr": false,
"pr_base_branch": "<string>",
"resources": [
{
"resource_type": "workflow",
"source_id": "<string>",
"local_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"include_schedules": false
},
"pull": {
"commit_sha": "<string>",
"dry_run": false,
"sync_schedules": false,
"catalog_mappings": [
{
"source_catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"mcp_integration_mappings": [
{
"source_mcp_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_mcp_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"secret_store_mappings": [
{
"source_store": "<string>",
"target_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"compare_ref": "<string>"
},
"commit_sha": "<string>",
"error": "<string>",
"preview": {
"resource_counts": {},
"files": [
"<string>"
],
"resources": [
{
"resource_type": "workflow",
"source_id": "<string>",
"name": "<string>",
"path": "<string>"
}
],
"resource_diffs": [
{
"resource_type": "<string>",
"source_id": "<string>",
"source_path": "<string>",
"change_type": "added",
"title": "<string>",
"diff": "<string>",
"truncated": false
}
]
},
"result": {
"commit": {
"status": "committed",
"sha": "<string>",
"ref": "<string>",
"base_ref": "<string>",
"pr_url": "<string>",
"pr_number": 123,
"pr_reused": false,
"message": ""
}
},
"diff_count": 0,
"can_retry": false,
"data_applied": false,
"preview_revision": 0,
"state_revision": 0
}
],
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"detail": "<string>"
}{
"error": {
"code": "insufficient_scope",
"message": "<string>",
"required_scopes": [
"<string>"
],
"missing_scopes": [
"<string>"
]
}
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyCookieServiceAccountApiKeyBearer
Path Parameters
Query Parameters
Required range:
1 <= x <= 200Maximum string length:
8192Was this page helpful?